#include <iostream.h>
#include <LEDA/ugraph.h>
#include <LEDA/graph_gen.h>
#include <LEDA/random_source.h>
#include <LEDA/graphwin.h>


int main()
{
  UGRAPH<int, int> G;

  complete_ugraph(G, 5);

  random_source RS(1, 100);
  edge e;
  forall_edges(e, G)
     RS >> G[e];

  GraphWin gw(G);
  
  gw.set_edge_label_type(data_label);
  
  gw.display();
  gw.center_graph();
  gw.wait(0.5);
  gw_circle_embed(gw);

  gw.edit();
  gw.close();

  return 0;
}

